import { Meta, Story } from "@storybook/addon-docs";

import { CircularGraph } from "./CircularGraph";

<Meta title="CircularGraph" />

# CircularGraph

Default style

<Story name="Labeled">
  <CircularGraph value={2} maxValue={5} labelGenerator={() => "Label"} />
</Story>

<Story name="Multi-Labeled">
  <CircularGraph
    value={1}
    maxValue={5}
    labelGenerator={() => (
      <div>
        <div>Label</div>
        <div>Label</div>
        <div>Label</div>
      </div>
    )}
    marginBottomLabel={10}
  />
</Story>

<Story name="Empty">
  <CircularGraph value={0} maxValue={5} />
</Story>

<Story name="Basic">
  <CircularGraph value={3} maxValue={5} />
</Story>

<Story name="Full">
  <CircularGraph value={5} maxValue={5} />
</Story>
